### Function

# Gtk test_accessible_check_state

#### Declaration [src]

    char*
    gtk_test_accessible_check_state (
      GtkAccessible* accessible,
      GtkAccessibleState state,
      ...
    )

#### Description [src]

Checks whether the accessible `state` of `accessible` is set to a specific value.

#### Parameters

`accessible` | `GtkAccessible`
| A `GtkAccessible`.
| The data is owned by the caller of the function.
`state` | `GtkAccessibleState`
| A `GtkAccessibleState`.
`...` | ``
| The expected value of `state`.

#### Return value

Returns: | `char*`
| The value of the accessible state.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.